/*
 * Stairs
 * Copyright 2017 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/Stairs
*/
#include "./config.h"

#ifdef SerialDebug
const uint32_t SerialDebugBaudrate = 115200;
const uint32_t SerialDebugStartupDelay = 2000;
#endif


const char* ConnectionSettingsFile = "/connection.json";
const char* SystemSettingsFile = "/system.json";
const char* StepsSettingsFile = "/steps.json";
const char* TimeTriggerSettingsFile = "/timetriggers.json";
const char* MotionTriggerSettingsFile = "/motiontriggers.json";


const char* DefaultAPSSIDPrefix = "Stairs-";

const char* DefaultNTPServer = "pool.ntp.org";

// Timeout when in AP + station mode (otherwise trying to connect
// to the STA will block the AP)
const uint32_t StationModeTimeout = 30000;

const uint16_t APButtonHoldTime = 2000;


// Only used if the timezone has not been succesfully retrieved yet, otherwise
// the configurable NTP interval is used
const uint32_t TimezoneRetryInterval = 60000;


#ifdef MapsAPIViaProxyScript
const char* TimezoneProxyScriptHost = "api.x2software.net";
const char* TimezoneProxyScriptPath = "/timezone.php";
#endif


const uint8_t InitialisationBrightness = 128;
const uint8_t InitialisationFadeTime = 250;
const uint8_t InitialisationBlinkCount = 2;
